# Python Connector for Firebird #

Python Connector for Firebird is a connectivity solution for accessing
Firebird databases from Python applications. It fully implements the Python DB
API 2.0 specification. The connector is distributed as a wheel package
for Windows, macOS, and Linux.

Secure communication

The connector supports the Over-the-Wire (OTW) encryption feature of Firebird
to encrypt data during the transmission process.

## Using the connector ##

To retrieve data from a database:

Import the module.
```
import devart.firebird
```

Connect to a database using the `connect()` module method and obtain a `connection` object.
```
my_connection = devart.firebird.connect(
    Server="your_server",
    Database="your_database",
    UserId="your_username",
    Password="your_password",
    ClientLibrary="your_client_library"
)
```

Create a `cursor` object using the `cursor()` connection method.
```
my_cursor = my_connection.cursor()
```

Execute the SQL statement using the `execute()` cursor method.
```
my_cursor.execute("SELECT * FROM employees")
```

Retrieve the result set using one of the `fetch*()` cursor methods.
```
for row in my_cursor.fetchall(): 
    print(row)
```

## Ordering and activating the license ##

You can purchase a license for the connector on the ordering page:             
https://www.devart.com/python/firebird/ordering.html

To activate the license, follow the instructions in the documentation:             
https://docs.devart.com/python/firebird/activate-a-license.htm

## What's new ##

Python Connector for Firebird 1.2

- Added support for Python 3.13
